org.apache.fop.render.pcl.fonts

## Class PCLFontSegment

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.PCLFontSegment

    public class PCLFontSegment
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PCLFontSegment.SegmentID`

### Constructor Summary

Constructors
Constructor and Description
`PCLFontSegment(PCLFontSegment.SegmentID identifier, byte[] data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getData()`
`PCLFontSegment.SegmentID` `getIdentifier()`
`int` `getSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PCLFontSegment

    public PCLFontSegment(PCLFontSegment.SegmentID identifier,
                          byte[] data)

### Method Detail

#### getData

    public byte[] getData()

#### getIdentifier

    public PCLFontSegment.SegmentID getIdentifier()

#### getSize

    public int getSize()